<?php

//Theme Option -> Footer
$theme_footer_panel = new Miion_WP_Customize_Panel( $wp_customize, 'theme_footer_panel', array(
	'title'			=> esc_html__( 'Footer', 'miion' ),
	'description'	=> esc_html__( 'These are header general settings of miion theme', 'miion' ),
	'priority'		=> 6,
	'panel'			=> 'miion_theme_panel'
));
$wp_customize->add_panel( $theme_footer_panel );

//Footer -> Footer General
$miion_footer_general_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_footer_general_section', array(
	'title'			=> esc_html__( 'Footer General', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for general footer.', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_footer_panel'
));
$wp_customize->add_section( $miion_footer_general_section );

//Footer General
$wp_customize->add_setting('ajax_trigger_miion_footer_general_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_footer_general_section', array(
	'section'		=> 'miion_footer_general_section'
)));

//Footer -> Footer Top
$miion_footer_top_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_footer_top_section', array(
	'title'			=> esc_html__( 'Footer Top', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for footer top section.', 'miion' ),
	'priority'		=> 2,
	'panel'			=> 'theme_footer_panel'
));
$wp_customize->add_section( $miion_footer_top_section );

//Footer Top
$wp_customize->add_setting('ajax_trigger_miion_footer_top_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_footer_top_section', array(
	'section'		=> 'miion_footer_top_section'
)));

//Footer -> Footer Middle
$miion_footer_middle_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_footer_middle_section', array(
	'title'			=> esc_html__( 'Footer Middle', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for footer middle section.', 'miion' ),
	'priority'		=> 3,
	'panel'			=> 'theme_footer_panel'
));
$wp_customize->add_section( $miion_footer_middle_section );

//Footer Middle
$wp_customize->add_setting('ajax_trigger_miion_footer_middle_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_footer_middle_section', array(
	'section'		=> 'miion_footer_middle_section'
)));

//Footer -> Footer Bottom
$miion_footer_bottom_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_footer_bottom_section', array(
	'title'			=> esc_html__( 'Footer Bottom', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for footer bottom section.', 'miion' ),
	'priority'		=> 4,
	'panel'			=> 'theme_footer_panel'
));
$wp_customize->add_section( $miion_footer_bottom_section );

//Footer Bottom
$wp_customize->add_setting('ajax_trigger_miion_footer_bottom_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_footer_bottom_section', array(
	'section'		=> 'miion_footer_bottom_section'
)));